<?php
declare(strict_types=1);

namespace App\Service\Elasticsearch;

use FOS\ElasticaBundle\Persister\ObjectPersister;

/**
 * Classe EducationNotationUpdater qui s'occupe de la mise à jour ES pour EducationNotation
 */
class EducationNotationUpdater
{
    public function __construct(private ObjectPersister $objectPersisterEducationNotation)
    {
    }

    /**
     * Effectue le replace many des educations notations
     * @param mixed[] $educationNotations
     */
    public function update(array $educationNotations): void{
        $this->objectPersisterEducationNotation->replaceMany($educationNotations);
    }
}